﻿a {
  text-decoration: none;
}

.checkbox-container {
  display: flex;
  align-items: center;
}

.bold-text {
  color: #1c81fc;
  font-weight: 600;
  text-decoration: none;
}

.mdl-textfield {
  width: 100%;
  padding: 0;
  margin-bottom: 15px;
}

.application-container {
  margin-bottom: 30px;
}

.content-display {
  max-width: 295px;
  font-family: 'Montserrat', sans-serif;
  font-size: 12px;
}

.textfield {
  color: #7c7c7c;
  font-size: 12px;
  font-weight: 500;
  padding: 4px 0;
}

.iframe-display {
  width: 420px;
}

.main-container {
  border-radius: 19px;
  justify-content: center;
  align-items: center;
  position: relative;
  display: flex;
  margin: 0 auto;
}

.form-container {
  border-radius: 19px;
  justify-content: center;
  align-items: center;
  position: relative;
  display: flex;
  margin: 0 auto;
  background-color: white !important;
  max-height: fit-content;
}
body, html {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  font-family: Montserrat, sans-serif;
  background-color: #d9f99e !important;
}
.mdl-grid {
  height: 100%;
  width: 100%;
  overflow: hidden;
  padding: 0;
  margin:0;
}
#main-grid {
  background-color: #d9f99e !important;
  overflow-x: auto;
  overflow-y: auto;
}
.mdl-cell {
  width: 100%;
  padding: 25px 40px;
  box-sizing: border-box;
  margin: 0;
}
.nopadding {
  padding: 0 !important;
}

.mdl-textfield__input {
  padding: 8px 8px 8px 2px;
  font-family: 'Montserrat', sans-serif;
  font-size: 14px;
}
.mdl-textfield__label {
  padding-left: 4px !important;
}
.mdl-textfield__error {
  position: relative;
}
.mdl-checkbox {
  margin-left: 4px !important;
  height: auto;
}

.section1 {
  background-color: #f0f0f0;
}
.section2 {
  background-color: #e0e0e0;
}
.button-container {
  margin-top: auto;
}
.mainPage {
  text-align: center;
}
.bottom-container {
  padding: 5px;
  text-align: center;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
}

.mdl-button--raised {
}

#btn-next {
  text-transform: none;
  box-shadow: none !important;
  border-radius: 8px;
  max-width: 375px;
  height: auto;
  line-height: inherit;
  width: 100%;
  background-color: #d9f99e !important;
  color: #1c3c2b !important;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 15px;
  font-weight: 700;
  padding: 13px 32px;
  margin-bottom: 10px;
  font-family: Montserrat, sans-serif;
}

#btn-text {
  flex-grow: 1;
  text-align: center;
}

#btn-next #btn-icon-next {
  position: absolute;
  top: 50%;
  right: 2%;
  transform: translateY(-50%);
  line-height: 1;
  font-size: 24px;
}

#btn-icon-return {
  display: none;
}

.no-padding {
  padding: 0;
}

.margin-left {
  margin-left: 0px;
}

.mdl-select-container {
  position: relative;
  padding-top: 20px;
}
.mdl-select-label {
  position: absolute;
  top: 0;
  left: 2px;
  font-size: 12px;
  color: #757575;
  pointer-events: none;
}
select {
  width: 100%;
  padding: 12px 0;
  border: none;
  border-bottom: 1px solid rgba(0,0,0, 0.12);
  background: transparent;
  font-size: 16px;
  color: #212121;
  outline: none;
  appearance: none;
}

.flatpickr-calendar {
  font-family: Montserrat, sans-serif;
}
.mdl-textfield--floating-label .flatpickr-input {
  padding: 12px 0 4px;
  width: 100%;
  font-size: 16px;
  color: #212121;
  outline: none;
}

.full-width {
  width: 100%;
}

.centered-vertical {
  display: flex;
  justify-content: center;
  align-items: center;
}

.loading-spinner {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.4);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
.fade {
  opacity: 0;
  transition: opacity 0.3s ease;
}

.fade.show {
  opacity: 1;
}
.horizontal-menu {
  text-align: center;
  display: none;
}

.horizontal-menu ul {
  list-style: none;
  padding: 0;
  display: inline-flex;
  margin: 0.3rem 0;
}

.horizontal-menu li {
  margin: 0 15px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: lightgray;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.horizontal-menu li.ready {
  background-color: #2e86c1;
  transform: scale(1.2);
}

.horizontal-menu li.active {
  background-color: #3f51b5;
  transform: scale(1.2);
}

.horizontal-menu li.ready:hover {
  background-color: blue;
  transform: scale(1.1);
}


@media (max-width: 768px) {
  .mdl-textfield__input, .mdl-button {
    font-size: 16px;
    height: auto;
  }
  .mdl-cell {
    width: 100%;
    margin: 0 auto;
  }
  .no-padding {
    padding: 0;
  }
  .margin-left {
    margin-left: 0;
  }
}

#ibvIframe {
  max-width: 475px;
  width: 100%;
  height: 755px;
  border: 0;
  overflow: hidden !important;
}
#IBV {
  display: flex;
  justify-content: center;
  align-items: center;
}

#ibvIframe html {
  transform: scale(0.9);
  transform-origin: center;
}

.logo {
  max-width: 160px;
}

.logo-container {
  text-align: center !important;
  margin-bottom: 30px;
}

.checkbox-error {
  position: relative !important;
  margin: 0 !important;
}

#incomeForm {
  width: 295px;
}
